Bug 11622 - ANSI color escapes broken
ANSI color escapes broken
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: xterm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-24 04:35 EDT by Olivier Baudron
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-06 10:49:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Baudron 2000-05-24 04:35:33 EDT
I upgraded XFree86-3.3.6-20 to XFree86-4.0-0.12 (i386).
All works fine except colors in xterm. Escape sequences like [00;31 does
not match the resource XTerm*color1 anymore. Instead, it displays a color
that is probably in the 256-color extension. I tried to change the color
resources in the range, 16-256, but it has not the desired effect.
If i execute the previous xterm binary, without removing the upgrade of
XFree, it works perfectly, as before.

Xterm version in XFree86-3.3.6-20 is 'XFree86 3.3.3.1b(88b)'
Xterm version in XFree86-4.0-0.12 is 'XFree86 4.0(129)'
Comment 1 Olivier Baudron 2000-07-06 07:11:56 EDT
Fixed in xterm version 'XFree86 4.0.1(139)' from XFree86-4.0.1-0.30
You may close the bug.

Note You need to log in before you can comment on or make changes to this bug.